# Uses of Interface
javax.sql.RowSetMetaData

Packages that use RowSetMetaData
Package
Description
javax.sql
Provides the API for server side data source access and processing from the Java programming language.
javax.sql.rowset
Standard interfaces and base classes for JDBC `RowSet` implementations.

## Uses of RowSetMetaData in javax.sql

Methods in javax.sql with parameters of type RowSetMetaData
Modifier and Type
Method
Description
`void`
RowSetInternal.`setMetaData(RowSetMetaData md)`
Sets the given `RowSetMetaData` object as the `RowSetMetaData` object for this `RowSet` object.

## Uses of RowSetMetaData in javax.sql.rowset

Classes in javax.sql.rowset that implement RowSetMetaData
Modifier and Type
Class
Description
`class`
`RowSetMetaDataImpl`
Provides implementations for the methods that set and get metadata information about a `RowSet` object's columns.
Methods in javax.sql.rowset with parameters of type RowSetMetaData
Modifier and Type
Method
Description
`void`
CachedRowSet.`setMetaData(RowSetMetaData md)`
Sets the metadata for this `CachedRowSet` object with the given `RowSetMetaData` object.